<?php
function includeDir($path,$ext,$in=false){
    $a_dirs=null;
    $dir = is_dir($path);
    if ($dir){
        $dir_openned=opendir($path);
        while ($elemento = readdir($dir_openned)){
            if ($elemento!="." && $elemento!=".." && $elemento!="CVS"){
                $current_dir=is_dir($path."/".$elemento);
                if ($current_dir){
                    $a_dirs[]=$path."/".$elemento;
                }else{
                    //if((strrpos($elemento,'MovimientoDetalle') === false) && (strrpos($elemento,'EstadoxRequisicion') === false) && (strrpos($elemento,'Requisicion')===false) && (strrpos($elemento,'.#')===false) && (strrpos($elemento,'ItemVentas')===false)){
                    if((strrpos($elemento,'EstadoxRequisicion') === false) && (strrpos($elemento,'Requisicion')===false) && (strrpos($elemento,'.#')===false)){
                        @require_once($path."/".$elemento);
                        //echo $path."/".$elemento."<br><br>\n";
                    }
                }
            }
        }
        if (is_array($a_dirs) && $in){
            foreach($a_dirs as $key =>$val){
                @includeDir($val,$ext,$in);
            }
        }
        closedir($dir_openned);
    }else{
        echo "<b>Warning</b>:  includeDir($path,$ext): failed to includeDir: No such directory in <b>".$_SERVER['PHP_SELF']."</b>";
    }
}
?>